This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 476633 - Review Request: perl-Devel-CheckOS - Check what OS we're running on
Review Request: perl-Devel-CheckOS - Check what OS we're running on
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 476632
  Show dependency treegraph
 
Reported: 2008-12-16 06:27 EST by Marcela Mašláňová
Modified: 2008-12-22 03:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 03:43:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2008-12-16 06:27:12 EST
Spec URL: http://mmaslano.fedorapeople.org/perl-Devel-CheckOS/perl-Devel-CheckOS.spec
SRPM URL: http://mmaslano.fedorapeople.org/perl-Devel-CheckOS/perl-Devel-CheckOS-1.50-1.fc10.src.rpm
Description: Devel::CheckOS provides a more friendly interface to $^O, and also lets you check for various OS "families" such as "Unix", which includes things like Linux, Solaris, AIX etc.
Comment 1 Jason Tibbitts 2008-12-16 21:12:34 EST
Builds fine and rpmlint is silent.

The license tag seems incorrect; AssertOS.pm and CheckOS.pm both explicitly say either GPLv2 or Artistic.

Why is the test suite disabled?  If there's a reason you can't run it, you should at least comment on it in the spec.

* source files match upstream.  sha256sum:
  0c4a461f21e895ec4373325a10ea5df1df734ad7ba4c261f5a3edb47e10dac77  
   Devel-CheckOS-1.50.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field does not match the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Devel::AssertOS) = 1.1
   perl(Devel::AssertOS::AIX) = 1.1
   perl(Devel::AssertOS::Amiga) = 1.1
   perl(Devel::AssertOS::Apple) = 1.2
   perl(Devel::AssertOS::BSDOS) = 1.1
   perl(Devel::AssertOS::BeOS) = 1.2
   perl(Devel::AssertOS::Cygwin) = 1.2
   perl(Devel::AssertOS::DEC) = 1.3
   perl(Devel::AssertOS::DGUX) = 1.1
   perl(Devel::AssertOS::DragonflyBSD) = 1.1
   perl(Devel::AssertOS::Dynix) = 1.1
   perl(Devel::AssertOS::FreeBSD) = 1.0
   perl(Devel::AssertOS::HPUX) = 1.1
   perl(Devel::AssertOS::Haiku) = 1.0
   perl(Devel::AssertOS::Interix) = 1.1
   perl(Devel::AssertOS::Irix) = 1.1
   perl(Devel::AssertOS::Linux) = 1.1
   perl(Devel::AssertOS::Linux::v2_6) = 1.2
   perl(Devel::AssertOS::MPEiX) = 1.1
   perl(Devel::AssertOS::MSDOS) = 1.1
   perl(Devel::AssertOS::MSWin32) = 1.2
   perl(Devel::AssertOS::MacOSX) = 1.1
   perl(Devel::AssertOS::MacOSX::v10_4) = 1.2
   perl(Devel::AssertOS::MacOSclassic) = 1.1
   perl(Devel::AssertOS::MachTen) = 1.1
   perl(Devel::AssertOS::MicrosoftWindows) = 1.2
   perl(Devel::AssertOS::MirOSBSD) = 1.1
   perl(Devel::AssertOS::NeXT) = 1.1
   perl(Devel::AssertOS::NetBSD) = 1.1
   perl(Devel::AssertOS::Netware) = 1.1
   perl(Devel::AssertOS::OS2) = 1.0
   perl(Devel::AssertOS::OS390) = 1.1
   perl(Devel::AssertOS::OS400) = 1.1
   perl(Devel::AssertOS::OSF) = 1.1
   perl(Devel::AssertOS::OSFeatures::POSIXShellRedirection) = 1.2
   perl(Devel::AssertOS::OpenBSD) = 1.1
   perl(Devel::AssertOS::POSIXBC) = 1.1
   perl(Devel::AssertOS::QNX) = 1.0
   perl(Devel::AssertOS::QNX::Neutrino) = 1.1
   perl(Devel::AssertOS::QNX::v4) = 1.1
   perl(Devel::AssertOS::RISCOS) = 1.1
   perl(Devel::AssertOS::Realtime) = 1.1
   perl(Devel::AssertOS::SCO) = 1.1
   perl(Devel::AssertOS::Solaris) = 1.1
   perl(Devel::AssertOS::Sun) = 1.2
   perl(Devel::AssertOS::SunOS) = 1.1
   perl(Devel::AssertOS::SysVr4) = 1.1
   perl(Devel::AssertOS::SysVr5) = 1.1
   perl(Devel::AssertOS::Unicos) = 1.1
   perl(Devel::AssertOS::Unix) = 1.2
   perl(Devel::AssertOS::VMESA) = 1.1
   perl(Devel::AssertOS::VMS) = 1.1
   perl(Devel::AssertOS::VOS) = 1.1
   perl(Devel::CheckOS) = 1.50
   perl-Devel-CheckOS = 1.50-1.fc11
  =
   /usr/bin/perl
   perl(:MODULE_COMPAT_5.10.0)
   perl(Data::Compare)
   perl(Devel::AssertOS)
   perl(Devel::AssertOS::Linux)
   perl(Devel::AssertOS::MacOSX)
   perl(Devel::CheckOS)
   perl(Exporter)
   perl(File::Find::Rule)
   perl(File::Find::Rule) >= 0.28
   perl(File::Spec)
   perl(Test::More) >= 0.62
   perl(strict)
   perl(vars)

? %check is commented out for some reason.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Marcela Mašláňová 2008-12-17 07:46:19 EST
Spec URL:
http://mmaslano.fedorapeople.org/perl-Devel-CheckOS/perl-Devel-CheckOS.spec
SRPM URL:
http://mmaslano.fedorapeople.org/perl-Devel-CheckOS/perl-Devel-CheckOS-1.50-2.fc10.src.rpm

You're right. The licence should be GPLv2 or Artistic.

I've commented tests in previous changelog. In the second release are removed only two wrong tests. One isn't written and second try to check installed package.
Comment 3 Jason Tibbitts 2008-12-18 13:16:09 EST
Indeed, the license is good now and the tests pass:

  skipped: Test::Pod 1.00 required for testing POD
  All tests successful.
  Files=11, Tests=29,  2 wallclock secs ( 0.03 usr  0.01 sys +  0.27 cusr  0.05 
   csys =  0.36 CPU)
I don't think there's much point in running the skipped test; if you did want to run it, you'd just need a build depencency on perl(Test::Pod).

Anyway, everything looks good to me.  APPROVED
Comment 4 Marcela Mašláňová 2008-12-19 03:27:04 EST
New Package CVS Request
=======================
Package Name: perl-Devel-CheckOS
Short Description: Check what OS we're running on
Owners: mmaslano
Branches: F-10
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2008-12-20 23:41:37 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.